import React from 'react'
import { Tabs, Tab } from 'react-bootstrap'

class AppLayout extends React.Component {
  render () {
    console.log('AppLayout state', this.props.state)
    const { activeTab } = this.props.layout
    const { changeTab } = this.props.layoutActions
    const { state } = this.props
    const { PlayerTable, MatchTable } = this.props.components

    return (
      <div>
        <Tabs activeKey={activeTab} onSelect={changeTab} id='layout-tabs'>
          <Tab eventKey={1} title='PlayerList'><PlayerTable state={state.playerList} /></Tab>
          <Tab eventKey={2} title='Calendar'><MatchTable state={state.matchList} /></Tab>
          <Tab eventKey={3} title='Spielplan' />
          <Tab eventKey={4} title='Zahlliste' />
        </Tabs>
      </div>
    )
  }
}

export default AppLayout
